---
title: Create new indicator feed
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Intel](https://developers.cloudflare.com/api/go/resources/intel)

[Indicator Feeds](https://developers.cloudflare.com/api/go/resources/intel/subresources/indicator_feeds)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create new indicator feed

client.Intel.IndicatorFeeds.New(ctx, params) (\*[IndicatorFeedNewResponse](<https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/intel/indicator-feeds

Creates a new custom threat indicator feed for sharing threat intelligence data.

##### Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**`X-Auth-Email: user@example.com`

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**`X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194`

##### ParametersExpand Collapse

<details>

<summary>

params IndicatorFeedNewParams

</summary>

AccountID param.Field\[string]

Path param: Identifier

maxLength32

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Description param.Field\[string]Optional

Body param: The description of the example test

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20description">Link to this property</a>

Name param.Field\[string]Optional

Body param: The name of the indicator feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.indicator_feeds%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type IndicatorFeedNewResponse struct{…}

</summary>

ID int64Optional

The unique identifier for the indicator feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedOn TimeOptional

The date and time when the data entry was created

formatdate-time

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

Description stringOptional

The description of the example test

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

IsAttributable boolOptional

Whether the indicator feed can be attributed to a provider

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)%20%3E%20(property)%20is_attributable">Link to this property</a>

IsDownloadable boolOptional

Whether the indicator feed can be downloaded

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)%20%3E%20(property)%20is_downloadable">Link to this property</a>

IsPublic boolOptional

Whether the indicator feed is exposed to customers

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)%20%3E%20(property)%20is_public">Link to this property</a>

ModifiedOn TimeOptional

The date and time when the data entry was last modified

formatdate-time

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

Name stringOptional

The name of the indicator feed

<a href="#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.indicator_feeds%20%3E%20(model)%20IndicatorFeedNewResponse%20%3E%20(schema)>)

### Create new indicator feed

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/intel"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  indicatorFeed, err := client.Intel.IndicatorFeeds.New(context.TODO(), intel.IndicatorFeedNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", indicatorFeed.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 1,
    "created_on": "2023-05-12T12:21:56.777653Z",
    "description": "example feed description",
    "is_attributable": false,
    "is_downloadable": false,
    "is_public": false,
    "modified_on": "2023-06-18T03:13:34.123321Z",
    "name": "example_feed_1"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 1,
    "created_on": "2023-05-12T12:21:56.777653Z",
    "description": "example feed description",
    "is_attributable": false,
    "is_downloadable": false,
    "is_public": false,
    "modified_on": "2023-06-18T03:13:34.123321Z",
    "name": "example_feed_1"
  }
}
```